## wacomtablet 1.3.2

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(tr)
add_subdirectory(zh_TW)
add_subdirectory(lt)
add_subdirectory(pt_BR)
add_subdirectory(nl)
add_subdirectory(de)
add_subdirectory(bs)
add_subdirectory(en_GB)
add_subdirectory(pt)
add_subdirectory(sv)
add_subdirectory(et)
add_subdirectory(ga)
add_subdirectory(el)
add_subdirectory(mai)
add_subdirectory(es)
add_subdirectory(da)
add_subdirectory(km)
add_subdirectory(ro)
add_subdirectory(ug)
add_subdirectory(fr)
add_subdirectory(nb)
add_subdirectory(sk)
add_subdirectory(nds)
add_subdirectory(eo)
add_subdirectory(ja)
add_subdirectory(pa)
add_subdirectory(cs)
add_subdirectory(uk)

=== debian/changelog ===
wacomtablet (1.3.2-1) unstable; urgency=low

  * New upstream release.
    - Fixes crash in the kded module when a new table is connected
      (Closes: #628144).

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Thu, 09 Jun 2011 10:03:49 -0300

wacomtablet (1.3.1-1) unstable; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer]
  * Add myself to Uploaders.
  * Set DM-Upload-Allowed: yes.
  * Change the source name to follow upstream's naming.

  [ Pino Toscano ]
  * New upstream release:
    - does not crash with Solid/KDE 4.6. (Closes: #624432)
  * Update debian/control:
    - bump debhelper build-dependency to 7.3.16
    - bump pkg-kde-tools build-dependency to 0.6.2
    - add build-dependencies: libxi-dev, libxrandr-dev
    - update Homepage field
    - add Vcs-Git and Vcs-Browser fields
    - bump Standards-Version to 3.9.2, no changes required
    - kde-config-tablet: recommend xserver-xorg-input-wacom (for `xsetwacom')
  * Upate debian/rules:
    - use the kde addon with `dh'
    - update the filename of the plasma widget when calling `dh_shlibdeps'
  * Refresh patch 02_less_linkage, and add DEP3 header to it.
  * Update copyright.
  * Install the upstream README among the package docs (it contains instructions
    on how to add new device information).

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Thu, 28 Apr 2011 17:55:07 +0200

kcm-tablet (1.2.0-1) unstable; urgency=low

  * Initial release (Closes: #569708). Based on the brilliant work by
    Lisandro.

 -- Sune Vuorela <debian@pusling.com>  Mon, 17 May 2010 22:40:15 +0200

=== debian/control ===
Source: wacomtablet
Section: kde
Priority: extra
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.3.16), cmake, kdelibs5-dev, pkg-kde-tools (>= 0.6.2),
 libxi-dev, libxrandr-dev
Standards-Version: 3.9.2
Homepage: http://projects.kde.org/projects/extragear/base/wacomtablet
DM-Upload-Allowed: yes
Uploaders: Sune Vuorela <debian@pusling.com>, Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/kcm-tablet.git;a=summary
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/kcm-tablet.git

Package: kde-config-tablet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ${shlibs:Recommends}, xserver-xorg-input-wacom
Description: implements a KDE configuration GUI for the Wacom drivers
 KDE 4 KCModule
 .
 This module implements a GUI for the Wacom Linux Drivers and extends it
 with profile support to handle different button / pen layouts per profile.
 .
 For hardware support have a look at http://www.linuxwacom.sourceforge.net
 .
 All tablets can be set up as long as they are found via xorg.conf or HAL 
 configuration.

## wacomtablet 1.3.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(wacomtablet)

# search packages used by KDE
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

# local cmake modules
set(CMAKE_MODULE_PATH
    ${CMAKE_MODULE_PATH}
    ${CMAKE_SOURCE_DIR}/cmake/modules
)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DQT_STRICT_ITERATORS )
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )
add_definitions( -DDISABLE_NEPOMUK_LEGACY )
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)


include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

add_subdirectory( src )
add_subdirectory( data )
add_subdirectory( images )
add_subdirectory( doc )


include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== doc/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kcontrol/wacomtablet)

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(fr)
add_subdirectory(pt_BR)
add_subdirectory(pt)
add_subdirectory(de)
add_subdirectory(sk)
add_subdirectory(pa)
add_subdirectory(uk)
add_subdirectory(mai)
add_subdirectory(ro)
add_subdirectory(ga)
add_subdirectory(km)
add_subdirectory(nl)
add_subdirectory(tr)
add_subdirectory(nb)
add_subdirectory(ug)
add_subdirectory(sv)
add_subdirectory(es)
add_subdirectory(bs)
add_subdirectory(eo)
add_subdirectory(el)
add_subdirectory(nds)
add_subdirectory(pl)
add_subdirectory(cs)
add_subdirectory(lt)
add_subdirectory(zh_TW)
add_subdirectory(da)
add_subdirectory(en_GB)
add_subdirectory(ja)
add_subdirectory(et)

=== src/CMakeLists.txt ===


add_subdirectory( applet )
add_subdirectory( kcmodule )
add_subdirectory( kded )

=== src/applet/CMakeLists.txt ===
project(plasma-wacomtabletsettings)

include_directories(
                    ${KDE4_INCLUDES}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}
)

set(tabletsettings_SRCS
    wacomtabletsettings.cpp
    tabletapplet.cpp)

kde4_add_plugin(plasma_applet_wacomtabletsettings ${tabletsettings_SRCS})
target_link_libraries(plasma_applet_wacomtabletsettings ${KDE4_PLASMA_LIBS} ${KDE4_KUTILS_LIBRARY})

install(TARGETS plasma_applet_wacomtabletsettings DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-wacomtabletsettings.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/kcmodule/CMakeLists.txt ===
########### next target ###############

set( kcm_tablet_SRCS
     generalwidget.cpp
     kcmwacomtablet.cpp
     padmapping.cpp
     padbuttonwidget.cpp
     penwidget.cpp
     presscurve.cpp
     presscurvedialog.cpp
     profilemanagement.cpp
     selectkeybutton.cpp
     selectkeystroke.cpp
     tabletwidget.cpp
     calibrationdialog.cpp
     touchwidget.cpp
     tabletarea.cpp
     screenarea.cpp
)

kde4_add_ui_files( kcm_tablet_SRCS
                   errorwidget.ui
                   generalwidget.ui
                   padmapping.ui
                   penwidget.ui
                   padbuttonwidget.ui
                   presscurvedialog.ui
                   saveprofile.ui
                   selectkeybutton.ui
                   selectkeystroke.ui
                   tabletwidget.ui
                   touchwidget.ui
)

kde4_add_plugin(kcm_wacomtablet ${kcm_tablet_SRCS})

target_link_libraries( kcm_wacomtablet  
                       ${KDE4_KDECORE_LIBS}
                       ${KDE4_KDEUI_LIBS}
                       ${KDE4_KIO_LIBS}
                       ${X11_X11_LIB}
                       ${X11_Xinput_LIB}
                       ${X11_LIBRARIES}
                       ${X11_Xrandr_LIB}
)

install(TARGETS kcm_wacomtablet DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES kcm_wacomtablet.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== src/kded/CMakeLists.txt ===
set(wacom_tablet_SRCS
    devicehandler.cpp
    wacominterface.cpp
    tabletdaemon.cpp
    xdeviceeventnotifier.cpp)

qt4_add_dbus_adaptor(wacom_tablet_SRCS org.kde.Wacom.xml tabletdaemon.h Wacom::TabletDaemon)
qt4_add_dbus_adaptor(wacom_tablet_SRCS org.kde.WacomDevice.xml devicehandler.h Wacom::DeviceHandler)
kde4_add_plugin(kded_wacomtablet ${wacom_tablet_SRCS})

target_link_libraries(kded_wacomtablet
                       ${KDE4_KDECORE_LIBS}
                       ${KDE4_KDEUI_LIBS}
                       ${KDE4_SOLID_LIBS}
                       ${X11_X11_LIB}
                       ${X11_Xinput_LIB}
                       ${X11_Xrandr_LIB}
                       ${X11_LIBRARIES})

install(TARGETS kded_wacomtablet DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES wacomtablet.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded)
install(FILES wacomtablet.notifyrc DESTINATION "${DATA_INSTALL_DIR}/wacomtablet")

install(FILES org.kde.Wacom.xml org.kde.WacomDevice.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR})

=== debian/changelog ===
wacomtablet (1.3.5-1) unstable; urgency=low

  * New upstream release.
  * Change my e-mail address.
  * Remove DM-Upload-Allowed flag. It is no longer needed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 16 Nov 2011 19:20:26 -0300

wacomtablet (1.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Sun, 04 Sep 2011 17:42:41 -0300

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
  libxi-dev, libxrandr-dev
 Standards-Version: 3.9.2
 Homepage: http://projects.kde.org/projects/extragear/base/wacomtablet
-DM-Upload-Allowed: yes
-Uploaders: Sune Vuorela <debian@pusling.com>, Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
+Uploaders: Sune Vuorela <debian@pusling.com>, Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/kcm-tablet.git;a=summary
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/kcm-tablet.git

## wacomtablet 1.3.6

=== debian/changelog ===
wacomtablet (1.3.6-1) unstable; urgency=low

  * New upstream release.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 23 Jan 2012 09:49:03 -0300

## wacomtablet 2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(wacomtablet)

#--------------------------------------------------------------------------
# CTest setup
#--------------------------------------------------------------------------
ENABLE_TESTING()
include(CTest)
include(CTestConfig.cmake)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_CURRENT_BINARY_DIR}/CTestCustom.cmake COPYONLY)



# search packages used by KDE
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

# local cmake modules
set(CMAKE_MODULE_PATH
    ${CMAKE_MODULE_PATH}
    ${CMAKE_SOURCE_DIR}/cmake/modules
)

#find_package(LibWacom REQUIRED)
find_package(XorgWacom REQUIRED)

macro_log_feature(XORGWACOM_FOUND "Xorg-Wacom" "Xorg input wacom driver" "http://linuxwacom.sourceforge.net" TRUE "" "The driver/header files are missing")

add_definitions( ${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DQT_STRICT_ITERATORS )
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )
add_definitions( -DDISABLE_NEPOMUK_LEGACY )
add_definitions( -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS )

#include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${LIBWACOM_INCLUDE_DIRS})
include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} )

add_subdirectory( src )
add_subdirectory( data )
add_subdirectory( images )
add_subdirectory( doc )
add_subdirectory( autotests )

macro_display_feature_log()

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== autotests/CMakeLists.txt ===

if(KDE4_BUILD_TESTS)
    include_directories( ${CMAKE_SOURCE_DIR}/src )
    include_directories( ${CMAKE_SOURCE_DIR}/src/common )
    include_directories( ${CMAKE_SOURCE_DIR}/src/kded )

    # Add common Tests
    add_subdirectory( common/buttonshortcut )
    add_subdirectory( common/deviceinformation )
    add_subdirectory( common/deviceprofile )
    add_subdirectory( common/deviceprofileconfigadaptor )
    add_subdirectory( common/deviceproperty )
    add_subdirectory( common/enum )
    add_subdirectory( common/profilemanager )
    add_subdirectory( common/property )
    add_subdirectory( common/propertyset )
    add_subdirectory( common/tabletarea )
    add_subdirectory( common/tabletinformation )
    add_subdirectory( common/tabletprofile )
    add_subdirectory( common/tabletprofileconfigadaptor )

    # Add kded Tests
    add_subdirectory( kded/xsetwacomadaptor )
    add_subdirectory( kded/xinputadaptor )
    add_subdirectory( kded/tabletdatabase )
    add_subdirectory( kded/tabletbackend )
    add_subdirectory( kded/dbustabletservice )
    add_subdirectory( kded/tablethandler )

endif()

=== data/CMakeLists.txt ===
install( FILES companylist
               default_devicelist
               wacom_devicelist
               waltop_devicelist
               toshiba_devicelist
               DESTINATION  ${DATA_INSTALL_DIR}/wacomtablet/data )

=== images/CMakeLists.txt ===
install( FILES
               bl_1.png
               bl_2.png
               bl_3.png
               bl_4.png
               bl_5.png
               bl_6.png
               bl_7.png
               bl_8.png
               pen.png
               DESTINATION  ${DATA_INSTALL_DIR}/wacomtablet/images )

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(zh_CN)
add_subdirectory(fi)
add_subdirectory(sk)
add_subdirectory(lt)
add_subdirectory(zh_TW)
add_subdirectory(el)
add_subdirectory(fr)
add_subdirectory(kk)
add_subdirectory(cs)
add_subdirectory(nl)
add_subdirectory(mai)
add_subdirectory(de)
add_subdirectory(et)
add_subdirectory(ja)
add_subdirectory(tr)
add_subdirectory(pl)
add_subdirectory(en_GB)
add_subdirectory(pt_BR)
add_subdirectory(hu)
add_subdirectory(pa)
add_subdirectory(bs)
add_subdirectory(gl)
add_subdirectory(mr)
add_subdirectory(km)
add_subdirectory(eo)
add_subdirectory(ca)
add_subdirectory(uk)
add_subdirectory(ro)
add_subdirectory(sv)
add_subdirectory(ug)
add_subdirectory(es)
add_subdirectory(ga)
add_subdirectory(pt)
add_subdirectory(nds)
add_subdirectory(nb)
add_subdirectory(sl)
add_subdirectory(da)

=== src/CMakeLists.txt ===

include_directories(common)
add_subdirectory( common )

add_subdirectory( applet )
add_subdirectory( kcmodule )
add_subdirectory( kded )

=== doc/user/CMakeLists.txt ===

kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kcontrol/wacomtablet)

=== po/gl/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(gl ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/nds/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(nds ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== src/applet/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
     tabletapplet.cpp)
 
 kde4_add_plugin(plasma_applet_wacomtabletsettings ${tabletsettings_SRCS})
-target_link_libraries(plasma_applet_wacomtabletsettings ${KDE4_PLASMA_LIBS} ${KDE4_KUTILS_LIBRARY})
+target_link_libraries(plasma_applet_wacomtabletsettings wacom_common ${KDE4_PLASMA_LIBS} ${KDE4_KUTILS_LIBRARY})
 
 install(TARGETS plasma_applet_wacomtabletsettings DESTINATION ${PLUGIN_INSTALL_DIR})
 install(FILES plasma-applet-wacomtabletsettings.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/common/CMakeLists.txt ===

set(wacom_common_SRC
    aboutdata.cpp
    buttonshortcut.cpp
    dbustabletinterface.cpp
    deviceinformation.cpp
    deviceprofile.cpp
    deviceprofileconfigadaptor.cpp
    deviceproperty.cpp
    devicetype.cpp
    mainconfig.cpp
    profilemanager.cpp
    property.cpp
    propertyadaptor.cpp
    screenrotation.cpp
    screenmap.cpp
    screenspace.cpp
    stringutils.cpp
    tabletarea.cpp
    tabletinfo.cpp
    tabletinformation.cpp
    tabletprofile.cpp
    tabletprofileconfigadaptor.cpp
    x11info.cpp
    x11input.cpp
    x11inputdevice.cpp
    x11wacom.cpp
)


add_library( wacom_common STATIC ${wacom_common_SRC})

#target_link_libraries( wacom_common ${KDE4_KDECORE_LIBS} ${LIBWACOM_LIBRARIES} )
target_link_libraries( wacom_common ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} )
set_target_properties( wacom_common PROPERTIES COMPILE_FLAGS "-fPIC" )

=== src/kcmodule/CMakeLists.txt ===
########### next target ###############

set( kcm_tablet_SRCS
     areaselectionwidget.cpp
     buttonactiondisplaywidget.cpp
     buttonactionselectiondialog.cpp
     buttonactionselectionwidget.cpp
     buttonactionselectorwidget.cpp
     buttonpagewidget.cpp
     calibrationdialog.cpp
     generalpagewidget.cpp
     kcmwacomtablet.cpp
     kcmwacomtabletwidget.cpp
     keysequenceinputbutton.cpp
     keysequenceinputwidget.cpp
     pressurecurvewidget.cpp
     pressurecurvedialog.cpp
     profilemanagement.cpp
     styluspagewidget.cpp
     tabletareaselectioncontroller.cpp
     tabletareaselectiondialog.cpp
     tabletareaselectionview.cpp
     tabletareaselectionwidget.cpp
     tabletpagewidget.cpp
     touchpagewidget.cpp
)

kde4_add_ui_files( kcm_tablet_SRCS
                   buttonactionselectionwidget.ui
                   buttonactionselectorwidget.ui
                   buttonpagewidget.ui
                   errorwidget.ui
                   generalpagewidget.ui
                   kcmwacomtabletwidget.ui
                   pressurecurvedialog.ui
                   saveprofile.ui
                   styluspagewidget.ui
                   tabletareaselectionview.ui
                   tabletpagewidget.ui
                   touchpagewidget.ui
)

kde4_add_plugin(kcm_wacomtablet ${kcm_tablet_SRCS})

target_link_libraries( kcm_wacomtablet
                       wacom_common
                       ${KDE4_KDECORE_LIBS}
                       ${KDE4_KDEUI_LIBS}
                       ${KDE4_KIO_LIBS}
                       ${X11_X11_LIB}
                       ${X11_Xinput_LIB}
                       ${X11_LIBRARIES}
                       ${X11_Xrandr_LIB}
)

install(TARGETS kcm_wacomtablet DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES kcm_wacomtablet.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== debian/changelog ===
wacomtablet (2.0-2) unstable; urgency=low

  * Fix FTBFS due to KDE4_ENABLE_TESTS being ON since kdelibs 4.10
    (Closes: #718122):
    - Add xvfb, xauth and dbus-x11 as build dependencies to allow tests to run.
    - Override dh_auto_test to start the virtual X server and the dbus session.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 20 Aug 2013 19:11:41 -0300

wacomtablet (2.0-1) unstable; urgency=low

  [ Michał Zając ]
  * New upstream release
  * Added xserver-xorg-input-wacom to Build-Depends due to upstream
    requiring it
  * Updated debian/patches/02_less_linkage

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Use canonical Vcs fields.
  * Export flags to allow hardening of the binaries.
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Jun 2013 14:14:09 -0300

wacomtablet (1.3.7-1) experimental; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.4. No changes needed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 13 Nov 2012 18:55:01 -0300

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: extra
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.3.16), cmake, kdelibs5-dev, pkg-kde-tools (>= 0.6.2),
- libxi-dev, libxrandr-dev
-Standards-Version: 3.9.2
+ libxi-dev, libxrandr-dev, xserver-xorg-input-wacom, xvfb, xauth, dbus-x11
+Standards-Version: 3.9.4
 Homepage: http://projects.kde.org/projects/extragear/base/wacomtablet
 Uploaders: Sune Vuorela <debian@pusling.com>, Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/kcm-tablet.git;a=summary
-Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/kcm-tablet.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kcm-tablet.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kcm-tablet.git
 
 Package: kde-config-tablet
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --with kde

override_dh_shlibdeps:
	dh_shlibdeps -Xplasma_applet_wacomtabletsettings.so -- -dRecommends debian/kde-config-tablet/usr/lib/kde4/plasma_applet_wacomtabletsettings.so -dDepends

override_dh_auto_test:
	xvfb-run dbus-launch dh_auto_test

## wacomtablet 3.0.0

=== debian/changelog ===
wacomtablet (3.0.0-1~mx17+1) mx; urgency=medium

  * Use older release that will build on Qt 5.7.1 in Stretch.
  * Revert to debhelper 10 compat to ease backports.
  * Add alternative BD for libxcb-xinput0-dev.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 28 Oct 2018 14:20:57 -0700

wacomtablet (3.1.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #896819)
  * Merge in qt5 port work I did for neon.
    - Correct kdoctools, plasma-framework dependency naming in debian.
    - Restore Maintainers and add myself to uploaders.
  * Bump compat to 11.
    - Bump debhelper requirement (>= 11).
  * Bump Standards version 4.1.3.
  * Update copyright file to format version 1.0.
  * Change Priority to optional.
  * Add hardening+=bindnow.
  * Add extra-cmake-modules lost in merge.
  * Fix VCS entries - moved to extras.
  * New point release.
  * Add new dependency for libwacom-dev and pkg-config.
  * Use dh_missing instead of dh_install --list-missing.
  * README no longer exists - remove install file.
  * Fix dh_missing override to include command.
  * Update Standards-Version to 4.1.4. No changes needed.
  * Add missing libxcb-xinput-dev build dependency, wrap-and-sort.
  * Add a patch to fix binary spelling error. Sent upstream.
  * Use https in watch file uri.
  * Add dep3 header to fix binary spelling patch.
  * Add autopkgtest tests.
  * Remove the test override in rules.
  * Update gpg signing key.
  * Add test dependencies and override to use xvfb-run dbus session so
    the tests pass.
  * Upload to unstable.

 -- Scarlett Clark <sgclark@kde.org>  Fri, 24 Aug 2018 05:55:59 -0700

=== debian/control ===
Source: wacomtablet
Section: kde
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Scarlett Clark <sgclark@kde.org>,
           Sune Vuorela <debian@pusling.com>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: cmake,
               dbus,
               debhelper (>= 10),
               extra-cmake-modules,
               gettext,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5globalaccel-dev,
               libkf5i18n-dev,
               libkf5notifications-dev,
               libkf5plasma-dev,
               libkf5xmlgui-dev,
               libqt5x11extras5-dev,
               libwacom-dev,
               libxcb-xinput-dev | libxcb-xinput0-dev,
               libxi-dev,
               libxrandr-dev,
               pkg-config,
               qtdeclarative5-dev,
               xauth,
               xserver-xorg-input-wacom,
               xvfb
Standards-Version: 4.1.4
Homepage: http://projects.kde.org/projects/extragear/base/wacomtablet
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/wacomtablet
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/wacomtablet.git

Package: kde-config-tablet
Architecture: any
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         xserver-xorg-input-wacom,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ${shlibs:Recommends}
Description: implements a KDE configuration GUI for the Wacom drivers
 KDE Wacom tablet KCModule
 .
 This module implements a GUI for the Wacom Linux Drivers and extends it
 with profile support to handle different button / pen layouts per profile.
 .
 For hardware support have a look at http://www.linuxwacom.sourceforge.net
 .
 All tablets can be set up as long as they are found via xorg.conf or HAL
 configuration.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

override_dh_missing:
	 dh_missing --fail-missing

override_dh_auto_test-arch:
	xvfb-run -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" -a dbus-run-session \
	dh_auto_test -- -Cautotests/ HOME=$(CURDIR)/test_home QT_LOGGING_RULES="default.debug=true"

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## wacomtablet 3.1.1

=== autotests/CMakeLists.txt ===
find_package(Qt5Test REQUIRED)
include(ECMMarkAsTest)

include_directories( ${CMAKE_SOURCE_DIR}/src )
include_directories( ${CMAKE_SOURCE_DIR}/src/common )
include_directories( ${CMAKE_SOURCE_DIR}/src/kded )

set(WACOM_COMMON_TEST_LIBS wacom_common Qt5::Test)
set(WACOM_KDED_TEST_LIBS kded_wacomtablet_lib ${kded_wacomtablet_LIBS} Qt5::Test)

add_subdirectory(faketablet)

# Add common Tests
add_subdirectory( common/buttonshortcut )
add_subdirectory( common/deviceinformation )
add_subdirectory( common/deviceprofile )
add_subdirectory( common/deviceprofileconfigadaptor )
add_subdirectory( common/deviceproperty )
add_subdirectory( common/enum )
add_subdirectory( common/libwacomdata )
add_subdirectory( common/profilemanager )
add_subdirectory( common/property )
add_subdirectory( common/propertyset )
add_subdirectory( common/tabletarea )
add_subdirectory( common/tabletinformation )
add_subdirectory( common/tabletprofile )
add_subdirectory( common/tabletprofileconfigadaptor )

# Add kded Tests
add_subdirectory( kded/dbustabletservice )
add_subdirectory( kded/tabletbackend )
add_subdirectory( kded/tabletdatabase )
add_subdirectory( kded/tablethandler )
add_subdirectory( kded/xinputadaptor )
add_subdirectory( kded/xsetwacomadaptor )

=== images/CMakeLists.txt ===
--- 
+++ 
@@ -7,5 +7,6 @@
                bl_6.png
                bl_7.png
                bl_8.png
+               bl_9.png
                pen.png
-               DESTINATION  ${DATA_INSTALL_DIR}/wacomtablet/images )
+               DESTINATION  ${KDE_INSTALL_DATADIR}/wacomtablet/images )

=== autotests/faketablet/CMakeLists.txt ===
include(CheckTypeSize)
include(CheckIncludeFile)

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    set(CMAKE_EXTRA_INCLUDE_FILES "linux/uinput.h")
elseif(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    set(CMAKE_EXTRA_INCLUDE_FILES "dev/evdev/uinput.h")
endif()

check_type_size("struct uinput_setup" STRUCT_UINPUT_SETUP)
set(CMAKE_EXTRA_INCLUDE_FILES)

if(HAVE_STRUCT_UINPUT_SETUP)
    add_executable(faketablet faketablet.cpp)
else()
    message(STATUS "No suitable uinput API, fake tablet is disabled")
endif()

=== src/common/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"wacomtablet\")

set(wacom_common_LIBS
  Qt5::Core
  Qt5::Gui
  Qt5::Widgets
  Qt5::X11Extras
  KF5::I18n
  KF5::GlobalAccel
  KF5::ConfigCore
  KF5::CoreAddons
  ${USING_X_LIBRARIES}
  ${LIBWACOM_LIBRARIES}
)

set(wacom_common_SRC
    aboutdata.cpp
    buttonshortcut.cpp
    dbustabletinterface.cpp
    deviceinformation.cpp
    deviceprofile.cpp
    deviceprofileconfigadaptor.cpp
    deviceproperty.cpp
    devicetype.cpp
    libwacomwrapper.cpp
    mainconfig.cpp
    profilemanager.cpp
    profilemanagement.cpp
    property.cpp
    propertyadaptor.cpp
    screenrotation.cpp
    screenmap.cpp
    screenspace.cpp
    stringutils.cpp
    tabletarea.cpp
    tabletdatabase.cpp
    tabletinfo.cpp
    tabletinformation.cpp
    tabletprofile.cpp
    tabletprofileconfigadaptor.cpp
    x11info.cpp
    x11input.cpp
    x11inputdevice.cpp
    x11wacom.cpp
)

ecm_qt_declare_logging_category(
    wacom_common_SRC
    HEADER "logging.h"
    IDENTIFIER "COMMON"
    CATEGORY_NAME "org.kde.wacomtablet.common")

qt5_add_dbus_interfaces(wacom_common_SRC
                        ../kded/org.kde.Wacom.xml)

add_library( wacom_common STATIC ${wacom_common_SRC})

target_include_directories(wacom_common PUBLIC ${LIBWACOM_INCLUDE_DIRS})
target_link_libraries( wacom_common ${wacom_common_LIBS} )
set_target_properties( wacom_common PROPERTIES COMPILE_FLAGS "-fPIC" )

=== src/kcmodule/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,6 @@
      keysequenceinputwidget.cpp
      pressurecurvewidget.cpp
      pressurecurvedialog.cpp
-     profilemanagement.cpp
      styluspagewidget.cpp
      tabletareaselectioncontroller.cpp
      tabletareaselectiondialog.cpp
@@ -23,9 +22,10 @@
      tabletareaselectionwidget.cpp
      tabletpagewidget.cpp
      touchpagewidget.cpp
+     ../common/globalactions.cpp
 )
 
-kde4_add_ui_files( kcm_tablet_SRCS
+ki18n_wrap_ui( kcm_tablet_SRCS
                    buttonactionselectionwidget.ui
                    buttonactionselectorwidget.ui
                    buttonpagewidget.ui
@@ -40,18 +40,28 @@
                    touchpagewidget.ui
 )
 
-kde4_add_plugin(kcm_wacomtablet ${kcm_tablet_SRCS})
+ecm_qt_declare_logging_category(
+    kcm_tablet_SRCS
+    HEADER "logging.h"
+    IDENTIFIER "KCM"
+    CATEGORY_NAME "org.kde.wacomtablet.kcm")
+
+add_definitions(-DTRANSLATION_DOMAIN=\"wacomtablet\")
+add_library(kcm_wacomtablet MODULE ${kcm_tablet_SRCS})
 
 target_link_libraries( kcm_wacomtablet
                        wacom_common
-                       ${KDE4_KDECORE_LIBS}
-                       ${KDE4_KDEUI_LIBS}
-                       ${KDE4_KIO_LIBS}
-                       ${X11_X11_LIB}
+                       Qt5::Core
+                       Qt5::Widgets
+                       Qt5::X11Extras
+                       KF5::CoreAddons
+                       KF5::XmlGui
+                       KF5::WidgetsAddons
+                       KF5::WindowSystem
+                       ${X11_LIBRARIES}
                        ${X11_Xinput_LIB}
-                       ${X11_LIBRARIES}
-                       ${X11_Xrandr_LIB}
 )
 
-install(TARGETS kcm_wacomtablet DESTINATION ${PLUGIN_INSTALL_DIR} )
-install( FILES kcm_wacomtablet.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
+install(TARGETS kcm_wacomtablet DESTINATION ${KDE_INSTALL_PLUGINDIR} )
+install( FILES kcm_wacomtablet.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
+install(FILES org.kde.wacomtablet.metainfo.xml DESTINATION "${KDE_INSTALL_METAINFODIR}")

=== debian/changelog ===
wacomtablet (3.1.1-1) unstable; urgency=medium

  [ Scarlett Moore ]
  * New upstream release.
  * Update my name.
  * Add translations and fix missing copyright.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update Standards-Version to 4.3.0, no changes reuiqred.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 24 Jan 2019 18:52:40 -0300

## wacomtablet 3.1.1.1%2Brb2

=== debian/changelog ===
wacomtablet (3.1.1.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Fri, 29 Jan 2021 11:18:55 +0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: wacomtablet
 Section: kde
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Scarlett Clark <sgclark@kde.org>,
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Scarlett Moore <sgclark@kde.org>,
            Sune Vuorela <debian@pusling.com>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
 Build-Depends: cmake,
                dbus,
-               debhelper (>= 10),
+               debhelper (>= 11),
                extra-cmake-modules,
                gettext,
                libkf5config-dev,
@@ -22,15 +21,15 @@
                libkf5xmlgui-dev,
                libqt5x11extras5-dev,
                libwacom-dev,
-               libxcb-xinput-dev | libxcb-xinput0-dev,
+               libxcb-xinput-dev,
                libxi-dev,
                libxrandr-dev,
                pkg-config,
                qtdeclarative5-dev,
                xauth,
                xserver-xorg-input-wacom,
-               xvfb
-Standards-Version: 4.1.4
+               xvfb,
+Standards-Version: 4.3.0
 Homepage: http://projects.kde.org/projects/extragear/base/wacomtablet
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/wacomtablet
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/wacomtablet.git
@@ -43,7 +42,7 @@
          qml-module-qtquick2,
          xserver-xorg-input-wacom,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Recommends: ${shlibs:Recommends}
 Description: implements a KDE configuration GUI for the Wacom drivers
  KDE Wacom tablet KCModule

## wacomtablet 3.1.1.1+rb2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

cmake_policy(SET CMP0048 NEW)
project(wacomtablet VERSION "3.1.1")

set(QT_MIN_VERSION "5.7.0")
find_package(ECM 1.6.0 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_SOURCE_DIR}/cmake/modules)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX WACOMTABLET
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/wacomtablet-version.h"
)

find_package(Qt5 REQUIRED COMPONENTS Core Gui Widgets DBus X11Extras Qml)
find_package(KF5 REQUIRED COMPONENTS CoreAddons I18n GlobalAccel Config XmlGui WidgetsAddons WindowSystem Notifications DBusAddons Plasma DocTools)
find_package(XCB OPTIONAL_COMPONENTS XINPUT)
find_package(X11 REQUIRED COMPONENTS XLIB)
find_package(XorgWacom REQUIRED)
find_package(LibWacom REQUIRED)

# xcb-xinput is an experimental API and is not built by default in the xcb
# repository. Downstream distributions without xcb-xinput, such as Kubuntu, can
# build using the Xlib version of the library instead.
#
# Because Qt5 uses xcb exclusively for native event handling, kded is unable
# to monitor hotplugging events, since these are signaled as xinput events.
#
# Users can enable xcb-xinput by building xcb with the configuration flag --enable-xinput.
if(XCB_XINPUT_FOUND)
    message(STATUS "Using XCB_XINPUT.  Please note this is an unstable API.")
    set(USING_X_LIBRARIES XCB::XINPUT ${X11_Xinput_LIB})
    add_definitions(-DHAVE_XCB_XINPUT)
else()
    message(STATUS "Falling back to X11_XINPUT.")
    set(USING_X_LIBRARIES ${X11_LIBRARIES} ${X11_Xinput_LIB})
endif()

if(${LIBWACOM_VERSION} VERSION_LESS "0.29")
    message(STATUS "Button detection with libwacom requires version at least 0.29. Detected version is: " ${LIBWACOM_VERSION})
    add_definitions(-DLIBWACOM_EVDEV_MISSING)
endif()

add_definitions( -DQT_STRICT_ITERATORS )
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )
add_definitions( -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS )

add_subdirectory( src )
add_subdirectory( data )
add_subdirectory( images )
add_subdirectory( doc )

### Tests
if(BUILD_TESTING)
  find_package(Qt5Test ${QT_MIN_VERSION} CONFIG REQUIRED)
  add_subdirectory( autotests )
endif()


feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== src/kded/CMakeLists.txt ===

## libraries
set(kded_wacomtablet_LIBS
   wacom_common
   KF5::CoreAddons
   KF5::Notifications
   KF5::XmlGui
   KF5::DBusAddons
   KF5::ConfigCore
   ${USING_X_LIBRARIES}
   ${LIBWACOM_LIBRARIES}
)

## sources

# this file contains plugin definition and does not belong in kded_wacomtablet_lib
# don't forget to add extra kcoreaddons_desktop_to_json for it if you wan to include it
set(kded_wacomtablet_PLUGIN_SRC
    tabletdaemon.cpp
)

set(kded_wacomtablet_SRCS
    dbustabletservice.cpp
    eventnotifier.cpp
    procsystemadaptor.cpp
    procsystemproperty.cpp
    tabletbackend.cpp
    tabletbackendfactory.cpp
    tabletfinder.cpp
    tablethandler.cpp
    x11eventnotifier.cpp
    x11tabletfinder.cpp
    xinputadaptor.cpp
    xinputproperty.cpp
    xsetwacomadaptor.cpp
    xsetwacomproperty.cpp
    ../common/globalactions.cpp
)

ecm_qt_declare_logging_category(
    kded_wacomtablet_SRCS
    HEADER "logging.h"
    IDENTIFIER "KDED"
    CATEGORY_NAME "org.kde.wacomtablet.kded")

## dbus interfaces
qt5_add_dbus_adaptor(kded_wacomtablet_SRCS org.kde.Wacom.xml dbustabletservice.h Wacom::DBusTabletService)

## build KDE daemon module
add_definitions(-DTRANSLATION_DOMAIN=\"wacomtablet\")
add_library(kded_wacomtablet MODULE ${kded_wacomtablet_PLUGIN_SRC} ${kded_wacomtablet_SRCS})
target_link_libraries( kded_wacomtablet ${kded_wacomtablet_LIBS} )

set_target_properties(kded_wacomtablet PROPERTIES OUTPUT_NAME wacomtablet)

## files to install
kcoreaddons_desktop_to_json(kded_wacomtablet wacomtablet.desktop)

install(TARGETS kded_wacomtablet DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kded)
install(FILES wacomtablet.notifyrc DESTINATION "${KNOTIFYRC_INSTALL_DIR}")
install(FILES org.kde.Wacom.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
install(FILES wacomtablet.categories DESTINATION ${KDE_INSTALL_CONFDIR})

## LIBRARY FOR UNIT TESTS
if (BUILD_TESTING)

    ## headers which need to be moc'ed for the static unit-testing library
    set(kded_wacomtablet_HDRS
        dbustabletservice.h
        tabletdaemon.h
        tablethandler.h
        eventnotifier.h
        x11eventnotifier.h
    )

    ## build static library for unit testing
    add_library( kded_wacomtablet_lib STATIC ${kded_wacomtablet_SRCS} )
    target_link_libraries( kded_wacomtablet_lib ${kded_wacomtablet_LIBS} )
    set_target_properties( kded_wacomtablet_lib PROPERTIES COMPILE_FLAGS "-fPIC" )

endif (BUILD_TESTING)

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,3 @@
 override_dh_auto_test-arch:
 	xvfb-run -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" -a dbus-run-session \
 	dh_auto_test -- -Cautotests/ HOME=$(CURDIR)/test_home QT_LOGGING_RULES="default.debug=true"
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
